MariaDB 10.0.0 < 10.0.1 多個弱點

critical Nessus Plugin ID 167905

Synopsis

遠端資料庫伺服器受到多個弱點影響。

描述

遠端主機上安裝的 MariaDB 版本比 10.0.1 舊。因此,會受到 mariadb-10-0-1-release-notes 公告中所提及的多個弱點影響。

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 InnoDB 相關的未知向量來影響可用性。
(CVE-2012-0572)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過未知向量來影響可用性。(CVE-2012-0574)

- 在 Oracle MySQL 5.5.28 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server Optimizer 相關的未知向量來影響可用性。
(CVE-2012-0578)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許遠端使用者透過未知向量來影響可用性。(CVE-2012-1702)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server Optimizer 相關的未知向量來影響可用性。(CVE-2012-1705)

- 在 Oracle MySQL 5.5.28 及其之前版本中,Server 元件中的不明弱點允許具有伺服器權限且經驗證的遠端使用者透過未知向量來影響可用性。(CVE-2012-5096)

- 在 Oracle MySQL 5.5.19 和直至 5.5.28 的其他版本,以及 5.1.53 和直至 5.1.66 的其他版本,以及 MariaDB 5.5.28a 之前的 5.5.2.x 版、5.3.11 之前的 5.3.x 版、5.2.13 之前的 5.2.x 版以及 5.1.66 之前的 5.1.x 版中,acl_get 函式中的堆疊型緩衝區溢位弱點允許經驗證的遠端使用者透過 GRANT FILE 命令的長引數執行任意程式碼。(CVE-2012-5611)

- Oracle MySQL 5.5.19 和直至 5.5.28 的其他版本、MariaDB 5.5.28a (可能還有其他版本) 中存在堆積型緩衝區溢位弱點,經驗證的遠端使用者可利用此弱點造成拒絕服務 (記憶體損毀或當機),並可能執行任意程式碼,使用 (1) USE、(2) SHOW TABLES、(3) DESCRIBE、(4) SHOW FIELDS FROM、(5) SHOW COLUMNS FROM、(6) SHOW INDEX FROM、(7) CREATE TABLE、(8) DROP TABLE、(9) ALTER TABLE、(10) DELETE FROM、(11) UPDATE 及 (12) SET PASSWORD 命令的某些變體已經表明這一點。(CVE-2012-5612)

- 在 Oracle MySQL 5.5.38 及其之前版本、5.6.19 及其之前版本、MariaDB 5.5.28a、5.3.11、5.2.13、5.1.66 (可能還有其他版本) 中,依據使用者名稱是否存在,可以按照時間延遲不同而產生不同的錯誤訊息,遠端攻擊者可以藉此列舉有效的使用者名稱。(CVE-2012-5615)

- 在 Oracle MySQL 和 MariaDB 5.5.29 之前的 5.5.x 版、5.3.12 之前的 5.3.x 版和 5.2.14 之前的 5.2.x 版中,程式不會在相同連線內多次執行 change_user 命令期間修改 salt,這會使經驗證的遠端使用者更容易執行暴力破解密碼猜測攻擊。(CVE-2012-5627)

- 在 Oracle MySQL 5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 Server Partition 相關的未知向量來影響可用性。
(CVE-2013-0367)

- 在 Oracle MySQL 5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 InnoDB 相關的未知向量來影響可用性。(CVE-2013-0368)

- 在 Oracle MySQL 5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 MyISAM 相關的未知向量來影響可用性。(CVE-2013-0371)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許遠端使用者透過與 Server Locking 相關的未知向量來影響可用性。
(CVE-2013-0383)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 Information Schema 相關的未知向量來影響可用性。(CVE-2013-0384)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許本機使用者透過與 Server Replication 相關的未知向量來影響機密性和完整性。(CVE-2013-0385)

- 在 Oracle MySQL 5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 Stored Procedure 相關的未知向量來影響可用性。
(CVE-2013-0386)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,Server 元件中的不明弱點允許經驗證的遠端使用者透過與 Server Optimizer 相關的未知向量來影響可用性。(CVE-2013-0389)

- 在 Oracle MySQL 5.1.66 及其之前版本、5.5.28 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server Privileges 相關的未知向量來影響機密性、完整性和可用性。(CVE-2013-1531)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級版本至 MariaDB 10.0.1 或更新版本。

另請參閱

https://mariadb.com/kb/en/mariadb-10-0-1-release-notes

Plugin 詳細資訊

嚴重性: Critical

ID: 167905

檔案名稱: mariadb_10_0_1.nasl

版本: 1.3

類型: combined

代理程式: windows, macosx, unix

系列: Databases

已發布: 2022/11/18

已更新: 2022/11/21

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: High

分數: 8

CVSS v2

風險因素: Medium

基本分數: 6.6

時間分數: 5.2

媒介: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:N

時間媒介: CVSS2#E:POC/RL:OF/RC:C

CVSS 評分資料來源: CVE-2013-0385

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

CVSS 評分資料來源: CVE-2013-0383

弱點資訊

CPE: cpe:2.3:a:mariadb:mariadb:*:*:*:*:*:*:*:*

必要的 KB 項目: installed_sw/MariaDB

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2013/2/6

弱點發布日期: 2012/11/28

參考資訊

CVE: CVE-2012-5615, CVE-2013-1531, CVE-2012-5611, CVE-2012-0572, CVE-2012-0574, CVE-2012-1702, CVE-2012-1705, CVE-2013-0383, CVE-2013-0384, CVE-2013-0385, CVE-2013-0389, CVE-2012-0578, CVE-2012-5096, CVE-2012-5612, CVE-2013-0367, CVE-2013-0368, CVE-2013-0371, CVE-2013-0386, CVE-2012-5627